Package Details: matrix-puppet-hangouts-git r57.b055642-3

Git Clone URL: https://aur.archlinux.org/matrix-puppet-hangouts-git.git (read-only, click to copy)
Package Base: matrix-puppet-hangouts-git
Description: Unmaintained, single user Node.js Hangouts bridge for Matrix-Synapse <1.10.x
Upstream URL: https://github.com/matrix-hacks/matrix-puppet-hangouts
Licenses: Apache
Conflicts: matrix-puppet-hangouts, matrix-synapse>=1.10.0
Submitter: bobpaul
Maintainer: bobpaul
Last Packager: bobpaul
Votes: 0
Popularity: 0.000000
First Submitted: 2020-02-17 05:01
Last Updated: 2020-04-14 17:10

Pinned Comments

bobpaul commented on 2020-04-14 17:10

Upstream no longer maintains this project, nor any of the other projects that use the matrix-puppet-bridge library. Please notify me if maintained forks of matrix-puppet-bridge and matrix-puppet-hangouts emerge.

Due to changes in Synapse in 1.10.0, this project is not compatible with matrix-synapse > 1.0.9. Synapse is a fast moving project and using outdated versions is contraindicated.

Mods in the support channel recommend users rely instead on bridges based on the mautrix-python, mautrix-go, and mx-puppet-bridge or other modern, full featured libraries.

For hangouts, users should use mautrix-hangouts instead.

Latest Comments

bobpaul commented on 2020-04-14 17:14

Accidentally deleted my pinned comment. @cgirard, I've updated the package to use its own user.

If you see anything else that needs to be updated, let me know. I no longer use this package but am willing to continue maintaining it on the off-chance upstream returns

bobpaul commented on 2020-04-14 17:10

Upstream no longer maintains this project, nor any of the other projects that use the matrix-puppet-bridge library. Please notify me if maintained forks of matrix-puppet-bridge and matrix-puppet-hangouts emerge.

Due to changes in Synapse in 1.10.0, this project is not compatible with matrix-synapse > 1.0.9. Synapse is a fast moving project and using outdated versions is contraindicated.

Mods in the support channel recommend users rely instead on bridges based on the mautrix-python, mautrix-go, and mx-puppet-bridge or other modern, full featured libraries.

For hangouts, users should use mautrix-hangouts instead.

cgirard commented on 2020-04-14 15:44

This does not build in a clean chroot as the synapse user does not exist.